Bug 628546 - Request: python-reportlab for EPEL
Summary: Request: python-reportlab for EPEL
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-reportlab
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Konstantin Ryabitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-30 11:05 UTC by Nils Breunese
Modified: 2011-02-20 17:27 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-20 17:27:02 UTC
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Nils Breunese 2010-08-30 11:05:49 UTC
There is a python-reportlab package available in Fedora. Could this also be packaged for EPEL?

Comment 1 Nils Breunese 2010-08-30 11:12:31 UTC
I'm sorry, I don't know how this bug got listed for component p7zip. However, I also don't know what to change it to, since there is no entry for python-reportlab.

Comment 2 Mark Chappell 2010-09-16 12:06:07 UTC
Nils, normally you put the ticket against the Fedora package rather than against EPEL, so that the Fedora owner can see there is some interest and choose to branch or not.

Bumped across to the Fedora python-reportlab owner, if you're lucky they'll be happy to branch for you...

Comment 3 Konstantin Ryabitsev 2010-09-16 12:49:11 UTC
I don't use python-reportlab on EL, so I'm not well suited to maintain it in EPEL. If someone wants to maintain the package in EPEL, I would be more than happy to give them full maintainer access to it.

Comment 4 Konstantin Ryabitsev 2011-01-28 19:49:28 UTC
Package Change Request
======================
Package Name: python-reportlab
New Branches: el5 el6
Owners: icon

Comment 5 Jason Tibbitts 2011-01-29 00:33:10 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-01-31 14:36:00 UTC
python-reportlab-2.5-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-reportlab-2.5-3.el5

Comment 7 Fedora Update System 2011-01-31 15:06:13 UTC
python-reportlab-2.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-reportlab-2.5-3.el6

Comment 8 Fedora Update System 2011-01-31 15:54:06 UTC
python-reportlab-2.5-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-reportlab'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-reportlab-2.5-3.el5

Comment 9 Fedora Update System 2011-02-15 21:54:12 UTC
python-reportlab-2.5-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-02-16 21:39:24 UTC
python-reportlab-2.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 David Ward 2011-02-19 23:26:07 UTC
python-reportlab 2.3 already exists in mainline RHEL 6.  Also the package in EPEL 6 seems to have a broken dependency on bitstream-vera-fonts.  Please fix.

Comment 12 Konstantin Ryabitsev 2011-02-20 17:06:53 UTC
Bleh, now  I remember why I avoid packaging for EPEL. I will remove the package from EPEL6, but the upgrade path will remain broken, as I'm not going to downgrade to 2.3 in EPEL5.

Comment 13 Konstantin Ryabitsev 2011-02-20 17:27:02 UTC
Package retired and blocked from EPEL6.


Note You need to log in before you can comment on or make changes to this bug.